## org.eclipse.emf.ocl.internal.parser
Class CompatibilityParser

    java.lang.Object
      org.eclipse.emf.ocl.internal.parser.CompatibilityParser

    public class CompatibilityParser

extends Object

Constructor Summary
`CompatibilityParser(String text)`
`CompatibilityParser(String text, EnvironmentFactory factory)`

Method Summary
`static void` `ERR(String message)` Hub for all semantic parsing messages -- Should be changed if want to continue parsing, and not terminate on first exception.
`lpg.lpgjavaruntime.IToken` `getIToken(int token)`
`int` `getToken()`
`String` `getTokenText(int tokenIndex)`
`static boolean` `isIdentifierOrKeyword(int tokenKind)`
`Constraint` `parseInitOrDerValueCS(Environment env, EStructuralFeature property)`
`Constraint` `parseInvOrDefCS(Environment env)`
`EList` `parsePackageDeclarationCS(EList constraints)`
`Constraint` `parsePrePostOrBodyDeclCS(Environment env, EOperation operation)`
`Variable` `parseVariableDeclarationCS(Environment env, boolean addToEnvironment)`
`void` `reset()`
`void` `setCharacterOffset(int offset)`
`void` `setErrorReportLineOffset(int offset)`
`void` `setTraceFlag(boolean trace)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompatibilityParser

    public CompatibilityParser(String text)

### CompatibilityParser

    public CompatibilityParser(String text,
                               EnvironmentFactory factory)

Method Detail

### ERR

    public static void ERR(String message)
                    throws SemanticException

  Hub for all semantic parsing messages -- Should be changed if want to continue parsing, and not terminate on first exception.

  Throws:
    `SemanticException`

### parsePackageDeclarationCS

    public final EList parsePackageDeclarationCS(EList constraints)
                                          throws ParserException

  Throws:
    `ParserException`

### parseInvOrDefCS

    public Constraint parseInvOrDefCS(Environment env)
                               throws ParserException

  Throws:
    `ParserException`

### parsePrePostOrBodyDeclCS

    public Constraint parsePrePostOrBodyDeclCS(Environment env,
                                               EOperation operation)
                                        throws ParserException

  Throws:
    `ParserException`

### parseInitOrDerValueCS

    public Constraint parseInitOrDerValueCS(Environment env,
                                            EStructuralFeature property)
                                     throws ParserException

  Throws:
    `ParserException`

### parseVariableDeclarationCS

    public Variable parseVariableDeclarationCS(Environment env,
                                               boolean addToEnvironment)
                                        throws ParserException

  Throws:
    `ParserException`

### setErrorReportLineOffset

    public void setErrorReportLineOffset(int offset)

### setCharacterOffset

    public void setCharacterOffset(int offset)

### setTraceFlag

    public void setTraceFlag(boolean trace)

### reset

    public void reset()

### getToken

    public int getToken()

### getIToken

    public lpg.lpgjavaruntime.IToken getIToken(int token)

### getTokenText

    public String getTokenText(int tokenIndex)

### isIdentifierOrKeyword

    public static boolean isIdentifierOrKeyword(int tokenKind)

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.